package com.fkzy.warn.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fkzy.warn.mapper.PermissionUserMapper;
import com.fkzy.warn.service.PermissionUserService;
import com.fkzy.warn.model.PermissionUser;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zhangjing
 * @date 2023/10/16 18:17
 * @description
 */
@Service
public class PermissionUserServiceImpl extends ServiceImpl<PermissionUserMapper, PermissionUser> implements
    PermissionUserService {


    @Override
    public void saveModel(PermissionUser entity, String ticket) {
        save(entity);
    }

    @Override
    public void updateModel(PermissionUser entity,String ticket) {
        this.updateById(entity);
    }

    @Override
    public void deleteModel(List<String> ids) {
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.in("id", ids);
        remove(wrapper);

    }


}
